Groovy JDK

## java.lang
Class StringBuilder

Method Summary
`StringBuilder` | `leftShift(Object value)` Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder (Only works with JDK1.5 or later).
`String` | `plus(String value)` Appends a String to this StringBuilder (Only works with JDK1.5 or later).
`void` | `putAt(IntRange range, Object value)` Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).
`void` | `putAt(EmptyRange range, Object value)` Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).
`int` | `size()` Standard Groovy size() method for StringBuilders (Only works with JDK1.5 or later).

Method Detail

### leftShift

    public StringBuilder leftShift(Object value)

  Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder (Only works with JDK1.5 or later).

Parameters:
  `value` - a value to append.

Returns:
  the StringBuilder on which this operation was invoked

### plus

    public String plus(String value)

  Appends a String to this StringBuilder (Only works with JDK1.5 or later).

Parameters:
  `value` - a String.

Returns:
  a String

### putAt

    public void putAt(IntRange range, Object value)

  Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later). Index values are treated as characters within the builder.

Parameters:
  `range` - a Range.
  `value` - the object that's toString() will be inserted.

### putAt

    public void putAt(EmptyRange range, Object value)

  Support the range subscript operator for StringBuilder (Only works with JDK1.5 or later).

Parameters:
  `range` - a Range.
  `value` - the object that's toString() will be inserted.

### size

    public int size()

  Standard Groovy size() method for StringBuilders (Only works with JDK1.5 or later).

Returns:
  the length of the StringBuilder

Groovy JDK